<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.scanresult.ScanResultActivity">

    <include layout="@layout/default_toolbar"/>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/tv_status_scan"
                style="@style/CommonText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="4dp"
                android:gravity="center"
                android:layout_alignParentStart="true"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="16dp"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:background="@drawable/bg_blue_no_rad"
                tools:text="Check Out Karyawan" />

            <LinearLayout
                android:id="@+id/ll_profile_bio"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tv_status_scan"
                android:layout_margin="16dp"
                android:orientation="vertical"
                android:padding="12dp"
                android:background="@drawable/bg_green">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    tools:ignore="UselessParent">

                    <ImageView
                        android:id="@+id/iv_profile_image"
                        android:layout_width="80dp"
                        android:layout_height="80dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginEnd="0dp"
                        android:src="@drawable/ic_profile_default"
                        android:contentDescription="@string/cd_image" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tv_rfid_number"
                            style="@style/CommonText"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:gravity="start"
                            tools:text="0009449244" />

                        <TextView
                            android:id="@+id/tv_profile_name"
                            style="@style/CommonText"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:gravity="start"
                            tools:text="HADYAN EL AUFAR" />

                        <TextView
                            android:id="@+id/tv_structural_position"
                            style="@style/CommonText"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:gravity="start"
                            tools:text="IT System Development Specialist" />

                        <TextView
                            android:id="@+id/tv_functional_position"
                            style="@style/CommonText"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:gravity="start"
                            tools:text="Engineer/Specialist" />

                        <TextView
                            android:id="@+id/tv_company_name"
                            style="@style/CommonText"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:gravity="start"
                            tools:text="PT. Berau Coal Energy" />

                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_profile_status"
                android:layout_width="160dp"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_profile_bio"
                android:layout_alignParentStart="true"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="16dp"
                android:layout_marginStart="100dp"
                android:layout_marginEnd="100dp"
                android:background="@color/colorPrimary">

                <TextView
                    android:id="@+id/tv_profile_status"
                    style="@style/CommonText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="8dp"
                    android:gravity="center"
                    tools:text="PASSED" />

            </LinearLayout>

            <TextView
                android:id="@+id/tv_message"
                style="@style/CommonText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@color/colorBlack"
                android:layout_below="@id/ll_profile_status"
                android:layout_margin="16dp"
                android:padding="8dp"
                android:gravity="center"
                android:visibility="gone"
                tools:text="Karyawan ini sudah login pada pukul 16.32 WIB" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_document_problem"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="8dp"
                android:layout_below="@+id/tv_message"
                tools:listitem="@layout/row_document"
                tools:itemCount="2"/>

            <Button
                android:id="@+id/btn_home"
                style="@style/ButtonCommon"
                android:layout_width="120dp"
                android:layout_height="wrap_content"
                android:layout_below="@id/rv_document_problem"
                android:layout_alignParentStart="true"
                android:layout_margin="16dp"
                android:text="@string/label_home" />

            <Button
                android:id="@+id/btn_scan_again"
                style="@style/ButtonCommon"
                android:layout_width="120dp"
                android:layout_height="wrap_content"
                android:layout_below="@+id/rv_document_problem"
                android:layout_alignParentEnd="true"
                android:layout_margin="16dp"
                android:text="@string/label_scan_other" />
        </RelativeLayout>

    </ScrollView>

</LinearLayout>